### Method

# Gdk Seatget_keyboard

#### Declaration [src]

    GdkDevice*
    gdk_seat_get_keyboard (
      GdkSeat* seat
    )

#### Description [src]

Returns the device that routes keyboard events.

#### Return value

Type: `GdkDevice`

A `GdkDevice` with keyboard capabilities. This object is owned by GTK and must not be freed.

The data is owned by the instance.
The return value can be `NULL`.